GET
/project/{projectId}/imports
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}/imports' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
[
{
"importDate": "2026-05-04T09:42:00Z",
"uploadDate": "2026-05-04T09:42:00Z",
"sourceEndDate": "2026-05-04T09:42:00Z",
"schedProgressOverride": true,
"relationshipLagCalendar": "Predecessor",
"schedLagEarlyStartFlag": true,
"qualityProfileRef": {
"id": 42,
"version": 42
},
"id": 42,
"fileName": "string",
"dataDate": "2026-05-04T09:42:00Z",
"fileId": "string",
"originalFileName": "string",
"activityCount": 42,
"importId": "string",
"skipSubsetValidations": true
}
]